var containerDOM = document.getElementById('container');
var width = containerDOM.clientWidth;
var height = containerDOM.clientHeight;
var stats;
var camera;
var scene;
var renderer;
var orbitCtrl;
//3D objects
  var tetrahedronObj;
  var textObj;
  var cameraObj;
//canvas stats
  var canvasWidth = 0;
  var canvasHeight = 0;
//MODEL LOAD SWITCH
  var modelLoaded = 0;
//Animate Switch
  var animateSwitch = 1;
//GUI Options
  var options = {
    xVelocity: -0.001,
    yVelocity: -0.001,
    zVelocity: -0.001,
    xTetrahedronAngle: 0,
    yTetrahedronAngle: 0,
    zTetrahedronAngle: 0,
    xTextVelocity: 0.001,
    yTextVelocity: 0.001,
    zTextVelocity: 0.001,
    xTextAngle: 0,
    yTextAngle: 0,
    zTextAngle: 0,
    stop: function() {
      this.xVelocity = 0;
      this.yVelocity = 0;
      this.zVelocity = 0;
      this.xTextVelocity = 0;
      this.yTextVelocity = 0;
      this.zTextVelocity = 0;
    },
    start: function() {
      this.xVelocity = 0.005;
      this.yVelocity = 0.010;
      this.zVelocity = 0.015;
    },
    reset: function() {
      this.xVelocity = 0.000;
      this.yVelocity = 0.000;
      this.zVelocity = 0.000;
      this.xTetrahedronAngle = 15;
      this.yTetrahedronAngle = 75;
      this.zTetrahedronAngle = 0;
      this.xTextVelocity = 0.000;
      this.yTextVelocity = 0.000;
      this.zTextVelocity = 0.000;
      this.xTextAngle = 90;
      this.yTextAngle = 0;
      this.zTextAngle = 0;
      orbitCtrl.reset();
    },
    resetCam:function() { 
      orbitCtrl.reset(); 
    }
  };